import App from './App'
import Vue from 'vue'
import store from './store'
import uView from 'uview-ui'
import { req, rootDocment, get, post, postJSON } from './config/util'
import { api } from './config/api'
import compareVersion from './utils/compareVersion'
import { NumberHandle, getDay, copyEvent } from './utils/tools'

Vue.use(uView)
Vue.config.productionTip = false

Vue.prototype.$api = api
Vue.prototype.$rootDocment = rootDocment
Vue.prototype.$req = req
Vue.prototype.$get = get
Vue.prototype.$post = post
Vue.prototype.$postJSON = postJSON
Vue.prototype.$compareVersion = compareVersion
Vue.prototype.$NumberHandle = NumberHandle
Vue.prototype.$getDay = getDay
Vue.prototype.$copyEvent = copyEvent

const app = new Vue({
  store,
  ...App
})
app.$mount()
